Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Create new customer

Prev Next
Post
/network/customers

Creates a new customer, i.e. the company or the person that owns the products served by the DPS.
The customer is the root of the client side of the network hierarchy: locations, and therefore things, are created underneath it.
The code is the public, human-readable identifier of the customer, while id is the immutable internal identifier assigned by the DPS.

Required permissions: READ_CUSTOMER, WRITE_CUSTOMER.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the tenant (e.g. acme).

Body parameters

The details of the customer being created.

Expand All
object

The bean providing customer details.

code
string

Public, human-readable identifier for the customer. Unlike "id", which is the immutable internal identifier, "code" is exposed externally and can be modified by clients. Must be unique.

name
string

The name of the customer which could be a personal name or a business name.

country
string

The country of the customer.

countryIsoCode
string

The country ISO Code of the customer.

timezone
string

The timezone used for date/times localization (e.g. Europe/Rome).

properties
object (Properties)

The set of properties providing additional details to the parent object.

Example{ "foo": "abc", "bar": "123" }
property*
string additionalProperties
creationTimestamp
integer (int64)

The timestamp at which the object was created.

firstAccessTimestamp
integer (int64)

The timestamp at which a client's user first logged in.

lastAccessTimestamp
integer (int64)

The timestamp at which a client's user last logged in.

Responses
201

Successful creation.

Expand All
object

The bean providing customer details.

id
string

The customer object identifier.

code
string

Public, human-readable identifier for the customer. Unlike "id", which is the immutable internal identifier, "code" is exposed externally and can be modified by clients. Must be unique.

name
string

The name of the customer which could be a personal name or a business name.

country
string

The country of the customer.

countryIsoCode
string

The country ISO Code of the customer.

timezone
string

The timezone used for date/times localization (e.g. Europe/Rome).

properties
object (Properties)

The set of properties providing additional details to the parent object.

Example{ "foo": "abc", "bar": "123" }
property*
string additionalProperties
creationTimestamp
integer (int64)

The timestamp at which the object was created.

firstAccessTimestamp
integer (int64)

The timestamp at which a client's user first logged in.

lastAccessTimestamp
integer (int64)

The timestamp at which a client's user last logged in.

400

Request data not valid.

object
message
string

The error response.

ExampleBad request
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
429

API call rate limit exceeded.

object
message
string

The error response.

ExampleAPI call rate limit exceeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error